Bug 118647 - kswapd in state R and D load constant at 1+
kswapd in state R and D load constant at 1+
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-18 11:28 EST by Dirk Gfroerer
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-11 21:08:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of "top -b -n 1" (7.09 KB, text/plain)
2004-03-18 11:29 EST, Dirk Gfroerer
no flags Details
Output of lsmod (1.37 KB, text/plain)
2004-03-18 11:30 EST, Dirk Gfroerer
no flags Details

  None (edit)
Description Dirk Gfroerer 2004-03-18 11:28:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
After Upgrading to the 2.4.21-9.0.1.EL kernel (WS) two machines have a
constant load of 1.00 when they're idle. Didn't have these issues with
kernel-2.4.21-4.0.1.EL.
top is showing kswapd being either in state R or D. No other processes
seem to be running.


Version-Release number of selected component (if applicable):
kernel-2.4.21-9.0.1.EL

How reproducible:
Always

Steps to Reproduce:
1. Boot machine
2. Look at the output of top

    

Actual Results:  load is constantly at +1 even if machine is idle

Expected Results:  load is nearly at 0 if machine is idle

Additional info:
Comment 1 Dirk Gfroerer 2004-03-18 11:29:51 EST
Created attachment 98653 [details]
Output of "top -b -n 1"
Comment 2 Dirk Gfroerer 2004-03-18 11:30:44 EST
Created attachment 98654 [details]
Output of lsmod
Comment 3 Werner Moser 2004-03-18 11:52:33 EST
Take a look at https://bugzilla.redhat.com/bugzilla/show_bug.cgi?
id=115438
Comment 4 Larry Woodman 2004-03-18 12:01:42 EST
I think this was caused by our setting the
/proc/sys/vm/inactive_clean_percent too low in the RHEL3-U1 update. 
Please try "echo 30 > /proc/sys/vm/inactive_clean_percent and let us
know it this helps.

Larry Woodman
Comment 5 Werner Moser 2004-03-18 12:14:55 EST
We experienced the same problem with a x445 with 16GB ram and 
changed /proc/sys/vm/inactive_clean_percent to 30 (as described in 
bug 115438), which actually did help.

Because I have read in another bugreport that setting this value to 
100 is the solution, I would like to know what the correct value is 
(does it depend on the amount of ram and if so, what's the rule to 
roughly calculate the best value?) and how it influences the system?

Are there other parameters which default values are not set as good 
as they could be?

Is there a documentation where one can find out more about the magic 
world of kernel-parameters?

Comment 6 Dirk Gfroerer 2004-03-18 12:23:34 EST
"Echoing" 30 did help. The load on both machines dropped to zero.
Thanks for the quick help!
Comment 7 Larry Woodman 2004-03-18 12:56:19 EST
You want 30 and not 100.  I probably told you to set it to 100 to
quickly verify that it was causing your problem.  In the latest kernel
update we changed the default value from 5 to 30 because it was too
low for many systems so it will no longer need to be adjusted.

Larry
Comment 8 Werner Moser 2004-03-18 13:06:46 EST
Thanks a lot for your immediate reply.

However, can you give me a hint where to find info / documentation 
about the various kernel-parameters or about those, which should / 
can be adjusted?

As far as I've seen, the documentation in the kernel-
source /usr/src/linux/Documentation is not really always up to date.

Comment 9 Ernie Petrides 2004-03-18 18:01:35 EST
I'm setting this to "modified" because the U2 kernel has been
changed to use a default inactive_clean_percent value of 30.
As for where to find further info about VM tuning, I'll let
Larry follow up on that question.
Comment 10 Neil Horman 2004-04-01 16:21:20 EST
I've got this whitepaper that may help out here:
http://people.redhat.com/nhorman/papers/papers.html
Comment 11 John Flanagan 2004-05-11 21:08:40 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-188.html

Note You need to log in before you can comment on or make changes to this bug.